Bug 1123190 - rsyslogd-2177: imjournal: begin to drop messages due to rate-limiting
Summary: rsyslogd-2177: imjournal: begin to drop messages due to rate-limiting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: i686
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 05:26 UTC by customercare
Modified: 2015-06-29 21:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:44:59 UTC


Attachments (Terms of Use)

Description customercare 2014-07-25 05:26:00 UTC
Description of problem:

systemd reports all logentries again to syslogd, He started at april this year
and is reporting things for 17 minutes now. 

As a result, syslogd eats the cpu with 95%.

It does not seem to be stopable. Need advise as it's a production server.


Version-Release number of selected component (if applicable):

rsyslog-7.4.8
systemd-208-20

Steps to Reproduce:

It started immediatly after a reboot.

Comment 1 customercare 2014-07-25 05:41:25 UTC
Workaround to stop it :

edit  /etc/systemd/journald.conf 
alter MaxRetentionSec to : "MaxRetentionSec=10day"
systemctl restart systemd-journald

After a few secs the output stops and the syslogd returns to normal operations.

As a positive sideeffect: i got rid of 3 GB of unneeded logfiles :)

--------------------------------------------------------------------

Addiotion comment:

The questions remains: why did systemd-journald send all the old log entries to syslogd in the first place ?

Comment 2 Ask Bjørn Hansen 2014-11-24 02:49:10 UTC
First they made rsyslog the default instead of syslog-ng and then they imposed the crazy systemd journal on us. I can't imagine what will come next to make it worse again, but I'm sure something will come up!

I have the same problem; I don't know that I want to not have old logs in the journal but it sure is annoying to have it spewed to the remote syslog server again and again.

Comment 3 Ask Bjørn Hansen 2014-11-24 02:55:32 UTC
"$IMUXSockRateLimitInterval 0" seems to stop this particular kind of rate limiting. I'm adding it here since this was what I came to the ticket to look for.

imjournal reading the same stuff again and again from the journal might be related to https://bugzilla.redhat.com/show_bug.cgi?id=974132

Comment 4 Fedora End Of Life 2015-05-29 12:28:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:44:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.